
const state = {
  modulePage: null,//模块-章变化
  festivalPage: null,//章-节变化
  chapterExamPage: null,//章卷-节变化
  testPaperPage:null,//试卷变化
}
const mutations = {
  //更新模块变化记录
  MODULEPAGE(state, data) {
    state.modulePage = data
  },
  //更新模块变化记录
  FESTIVALPAGE(state, data) {
    state.festivalPage = data
  },
  //更新章卷变化记录
  CHAPTEREXAMPAGE(state, data) {
    state.chapterExamPage = data
  },
  //更新试卷变化记录
  TESTPAPERPAGE(state, data) {
    state.testPaperPage = data
  },
}

const actions = {
  changemodulePage({ commit }, data) {
    commit('MODULEPAGE', data)
  },
  changefestivalPage({ commit }, data) {
    commit('FESTIVALPAGE', data)
  },
  changechapterExamPage({ commit }, data) {
    commit('CHAPTEREXAMPAGE', data)
  },
  changetestPaperPage({ commit }, data) {
    commit('TESTPAPERPAGE', data)
  },
}

export default {
  state,
  mutations,
  actions
}

